#include <fileref.h>

namespace TagMachine {

    class WavPackFileTypeResolver : TagLib::FileRef::FileTypeResolver {
        virtual TagLib::File* createFile(
            const char *fileName,
            bool readAudioProperties = true,
            TagLib::AudioProperties::ReadStyle audioPropertiesStyle = TagLib::AudioProperties::Average) const;

    public:
        static void install() {
            TagLib::FileRef::addFileTypeResolver(new WavPackFileTypeResolver());
        }
    };
    
}
